curl --request PUT \
--url https://api.anhome.tuanle.dev/api/v1/payment-reconciliation/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"enabled": true,
"risk_acknowledged": true,
"bank_provider": "<string>",
"webhook_mode": "<string>",
"sepay_payment_code_prefix": "<string>",
"sepay_webhook_secret": "<string>",
"note": "<string>"
}
'import requests
url = "https://api.anhome.tuanle.dev/api/v1/payment-reconciliation/settings"
payload = {
"enabled": True,
"risk_acknowledged": True,
"bank_provider": "<string>",
"webhook_mode": "<string>",
"sepay_payment_code_prefix": "<string>",
"sepay_webhook_secret": "<string>",
"note": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
enabled: true,
risk_acknowledged: true,
bank_provider: '<string>',
webhook_mode: '<string>',
sepay_payment_code_prefix: '<string>',
sepay_webhook_secret: '<string>',
note: '<string>'
})
};
fetch('https://api.anhome.tuanle.dev/api/v1/payment-reconciliation/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"enabled": true,
"webhook_mode": "<string>",
"sepay_payment_code_prefix": "<string>",
"sepay_webhook_configured": true,
"risk_notice": "<string>",
"bank_provider": "<string>",
"sepay_webhook_public_id": "<string>",
"sepay_webhook_url_path": "<string>",
"risk_acknowledged_at": "2023-11-07T05:31:56Z",
"note": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"request_id": "<string>",
"meta": {}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": "<unknown>"
}
}Upsert payment reconciliation settings
Creates or updates organization-level payment reconciliation settings used by QR and bank-transfer matching.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Payment reconciliation settings, webhook secret configuration, and QR transfer account details.
Request payload for upsert payment reconciliation settings.
enabled value for upsert payment reconciliation settings request.
risk acknowledged value for upsert payment reconciliation settings request.
bank provider value for upsert payment reconciliation settings request.
80webhook mode value for upsert payment reconciliation settings request.
40sepay payment code prefix value for upsert payment reconciliation settings request.
2 - 5sepay webhook secret value for upsert payment reconciliation settings request.
16 - 255Optional note captured by the operator.
1000Response
Updated payment reconciliation settings
Endpoint-specific response payload. See the referenced schema for the resource fields.
Show child attributes
Show child attributes
Request correlation identifier returned from X-Request-Id or generated by the API.
Optional response metadata such as pagination limits, counts, or export context.